Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982946 - dd_rescue-1.40 is available
Summary: dd_rescue-1.40 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dd_rescue
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-10 08:14 UTC by Upstream Release Monitoring
Modified: 2013-09-22 23:48 UTC (History)
4 users (show)

Fixed In Version: dd_rescue-1.40-1.fc20
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-14 02:37:00 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2013-07-10 08:14:05 UTC
Latest upstream release: 1.34
Current version/release in Fedora Rawhide: 1.33-1.fc20
URL: http://www.garloff.de/kurt/linux/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2013-07-23 09:36:06 UTC
Latest upstream release: 1.35
Current version/release in Fedora Rawhide: 1.33-1.fc20
URL: http://www.garloff.de/kurt/linux/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2013-07-30 07:20:18 UTC
Latest upstream release: 1.36.1
Current version/release in Fedora Rawhide: 1.33-1.fc20
URL: http://www.garloff.de/kurt/linux/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Account closed by the user 2013-07-30 10:24:53 UTC
Latest is version 1.36.1 (2013-07-26), bringing a few source code
cleanups (such as exact find_nonzero on big-endian machines), none of
which is changing real-world behavior though -- thus no 1.37 and no new
binaries.

The current version is 1.36, released 2013-07-24.
It fixes an overflow issue with the number output for long running
dd_rescue processes. SSE2 is now also enabled in x86 (32bit, with
runtime detection) and an optimized ARM version (assembler yeah!) to
find zero blocks was added.

The previous version was 1.35, released 2013-07-17.
It had some improvements on the output that it prints -- beyond internal
improvements it introduces colours to the output unless the terminal
type is clearly dumb; there is also an option to control this. Numbers
are highlighted for readability. Output is rate limited (10/s). 1.35
also brings a simple rewrite logic for handling write errors. There's an
SSE2 optimized version to find zero blocks for sparse writing.

The previous version was 1.34, released 2013-07-04, It brought better
support for various *nix systems (specifically had a few fixes for
FreeBSD), better compatibility with compilers (clang and g++ and
clang++). It can now also load libfallocate at runtime (libdl) and
detects a few more fatl write errors as such.

Comment 4 Upstream Release Monitoring 2013-08-04 09:12:39 UTC
Latest upstream release: 1.38
Current version/release in Fedora Rawhide: 1.33-1.fc20
URL: http://www.garloff.de/kurt/linux/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Account closed by the user 2013-08-04 11:01:14 UTC
(In reply to Upstream Release Monitoring from comment #4)

> Latest upstream release: 1.38
> Current version/release in Fedora Rawhide: 1.33-1.fc20

Latest is version 1.38 (2013-08-02)
It is improving SSE sparse detection performance (by 40%), adding a
testcase for the 1.35/1.36 bug and run it in make check. There's even an
AVX version, but it's not enabled by default, as it's untested.
--force/-f now allows to ignore a non-zero output position on
non-seekable output and the curr.rate and ETA calculations have improved
a bit.

Version 1.37 (2013-08-01) was fixing an issue with SSE2 sparse
detection, which could spuriously detect zero-filled blocks and thus
result in corrupted copies if option -a was used. (This would happen for
blocks that had no bytes with the uppermost bit set, such as e.g. ASCII
text.) Embarassing! Also fixed issues on big-endian machines (although
these were inconsequential for dd_rescue).

Comment 6 Upstream Release Monitoring 2013-08-09 08:28:57 UTC
Latest upstream release: 1.39
Current version/release in Fedora Rawhide: 1.33-2.fc20
URL: http://www.garloff.de/kurt/linux/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 Upstream Release Monitoring 2013-08-20 13:38:53 UTC
Latest upstream release: 1.40
Current version/release in Fedora Rawhide: 1.33-2.fc20
URL: http://www.garloff.de/kurt/linux/ddrescue/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 8 Fedora Update System 2013-09-05 18:08:12 UTC
dd_rescue-1.40-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dd_rescue-1.40-1.fc19

Comment 9 Fedora Update System 2013-09-05 18:08:24 UTC
dd_rescue-1.40-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dd_rescue-1.40-1.fc20

Comment 10 Fedora Update System 2013-09-05 18:08:35 UTC
dd_rescue-1.40-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dd_rescue-1.40-1.fc18

Comment 11 Fedora Update System 2013-09-06 04:00:44 UTC
Package dd_rescue-1.40-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dd_rescue-1.40-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15878/dd_rescue-1.40-1.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-09-14 02:37:00 UTC
dd_rescue-1.40-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-09-14 02:41:57 UTC
dd_rescue-1.40-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-09-22 23:48:13 UTC
dd_rescue-1.40-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.